Bug 696361 - CVE-2011-1578 CVE-2011-1579 CVE-2011-1580 mediawiki: multiple vulnerabilities fixed in 1.16.3 [fedora-all]
Summary: CVE-2011-1578 CVE-2011-1579 CVE-2011-1580 mediawiki: multiple vulnerabilities...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawiki
Version: 14
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2011-1578, CVE-2011-1579, CVE-2011-1580, CVE-2011-1587
TreeView+ depends on / blocked
 
Reported: 2011-04-13 22:01 UTC by Vincent Danen
Modified: 2011-05-08 20:55 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-04-21 05:28:27 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-04-13 22:01:52 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=696360

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2011-04-16 06:53:23 UTC
mediawiki-1.16.4-57.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc14

Comment 2 Fedora Update System 2011-04-16 06:54:03 UTC
mediawiki-1.16.4-57.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc13

Comment 3 Fedora Update System 2011-04-16 06:54:42 UTC
mediawiki-1.16.4-57.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc15

Comment 4 Fedora Update System 2011-04-16 20:54:47 UTC
Package mediawiki-1.16.4-57.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediawiki-1.16.4-57.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc14
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-04-21 05:27:51 UTC
mediawiki-1.16.4-57.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-04-22 08:36:46 UTC
mediawiki-1.16.4-58.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc14

Comment 7 Fedora Update System 2011-04-22 08:37:30 UTC
mediawiki-1.16.4-58.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc13

Comment 8 Fedora Update System 2011-04-22 08:38:14 UTC
mediawiki-1.16.4-58.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc15

Comment 9 Fedora Update System 2011-04-26 16:04:07 UTC
mediawiki-1.16.4-58.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-04-30 23:23:44 UTC
mediawiki-1.16.4-58.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-04-30 23:25:30 UTC
mediawiki-1.16.4-58.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Muzi 2011-05-08 10:44:19 UTC
I have upgrade from mediawiki-1.15.4-55.fc14.i686 to mediawiki-1.16.4-58.fc14.i686 , after the update i run update script to import database cahnges, updater script is working f9, but media wiki shows blank page.

I also verified to reimport my backup database dump and manaully setup new table.

CREATE TABLE wiki_l10n_cache (
  -- Language code
  lc_lang varbinary(32) NOT NULL,
  -- Cache key
  lc_key varchar(255) NOT NULL,
  -- Value
  lc_value mediumblob NOT NULL
) /*$wgDBTableOptions*/;
CREATE INDEX /*i*/lc_lang_key ON wiki_l10n_cache (lc_lang, lc_key);

So just after create above require table for new version, wiki shows blank page.

Please suggest fix for it.

Comment 13 Axel Thimm 2011-05-08 20:55:15 UTC
This bug report was about upgrading to a newer version for fixing several security issues. I see that you also filed the same report seperately which is the proper thing to do. For anyone finding this report above please check bug #702930, thanks!


Note You need to log in before you can comment on or make changes to this bug.